| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IMetaDataSvc Class Referenceabstract

`#include <GaudiKernel/IMetaDataSvc.h>`

Inheritance diagram for IMetaDataSvc:
[legend]
Collaboration diagram for IMetaDataSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IMetaDataSvc, 1, 0)
virtual MetaData * | getMetaData ()=0
virtual std::map< std::string, std::string > | getMetaDataMap ()=0
Public Member Functions inherited from IService
| DeclareInterfaceID (IService, 4, 0)
| InterfaceID. More...
virtual StatusCode | sysInitialize ()=0
| Initialize Service. More...
virtual StatusCode | sysStart ()=0
| Start Service. More...
virtual StatusCode | sysStop ()=0
| Stop Service. More...
virtual StatusCode | sysFinalize ()=0
| Finalize Service. More...
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service. More...
virtual StatusCode | sysRestart ()=0
| Re-start the Service. More...
virtual | ~IService ()=default
| virtual destructor More...
Public Member Functions inherited from extend_interfaces< INamedInterface, IStateful >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< INamedInterface, IStateful >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids...>::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from IService
virtual void | setServiceManager (ISvcManager *)=0

## Detailed Description

Definition at line 15 of file IMetaDataSvc.h.

## Member Function Documentation

IMetaDataSvc::DeclareInterfaceID | ( | IMetaDataSvc | ,
|  | 1 | ,
|  | 0 |
| ) |  |

virtual MetaData* IMetaDataSvc::getMetaData | ( |  | ) |
| pure virtual

virtual std::map<std::string, std::string> IMetaDataSvc::getMetaDataMap | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IMetaDataSvc.h